
public class RunAllTests {

    private static final String[] TEST_CLASSES =
	{ "de.tivano.junit.JunitSuite" };

    public static void main(java.lang.String[] args) {
	if (args.length > 1) {
	    System.out.println("Usage: RunAllTests [swing|text|awt]");
	} else if (args.length == 1 && "awt".equals(args[0].toLowerCase())) {
	    junit.awtui.TestRunner.main(TEST_CLASSES);
	} else if (args.length == 1 && "swing".equals(args[0].toLowerCase())) {
	    junit.swingui.TestRunner.main(TEST_CLASSES);
	} else {
	    if ((args.length == 1)
		&& !("text".equals(args[0].toLowerCase()))) {
		System.out.println("Unknow test runner type \"" + args[0] +
				   "\". Defaulting to \"text\"");
	    }
	    junit.textui.TestRunner.main(TEST_CLASSES);
	}
    }
}
