/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Original Code is DigitalSesame
 * Portions created by DigitalSesame are Copyright (C) 1997-2000 DigitalSesame
 * All Rights Reserved.
 * 
 * Contributor(s):
 *     Rex Tsai <chihchun@digitalsesame.com>
 *     David Li <david@digitalsesam.com>
 * 
 * $Id: XHTMLElement.java,v 1.2 2006-01-21 17:58:39 jkjome Exp $
 */

package org.enhydra.xml.xhtml.dom;


public interface XHTMLElement extends org.w3c.dom.html.HTMLElement {
    /**
     * Language code defined in RFC 1766. See the  xml:lang attribute definition 
     * in XHTML 1.0.
     */
    public String getXmlLang();
    public void setXmlLang(String xmlLang);

}
