/*
 * Copyright 1999,2000,2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.enhydra.xml.lazydom.html;



/**
 * Identifies control in a form, so they may be collected in a form elements
 * collection. All form control elements implement this empty interface.
 * 
 * @xerces.internal
 * @version $Revision: 1.3 $ $Date: 2006-01-21 16:50:14 $
 * @author <a href="mailto:arkin@exoffice.com">Assaf Arkin</a>
 */
public interface HTMLFormControl
{
}
