 /*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: GetElementByIdHTML.java,v 1.2 2005-01-26 08:29:25 jkjome Exp $
 */
package org.enhydra.xml.xmlc.html;


/**
 * Interface, originally generated from input/GetElementById.html, but handed
 * edited to be the minimal needed to use classes compiled from this file in
 * tests.  XMLC Document class, generated from
 * 
 */
public interface GetElementByIdHTML extends org.enhydra.xml.xmlc.html.HTMLObject {
    /**
     * Get the element with id <CODE>test</CODE>.
     * @see org.w3c.dom.html.HTMLElement
     */
    public org.w3c.dom.html.HTMLElement getElementTest();

    /**
     * Get the element with id <CODE>Time</CODE>.
     * @see org.w3c.dom.html.HTMLElement
     */
    public org.w3c.dom.html.HTMLElement getElementTime();

    /**
     * Get the value of text child of element <CODE>test</CODE>.
     * @see org.w3c.dom.Text
     */
    public void setTextTest(String text);

    /**
     * Get the value of text child of element <CODE>Time</CODE>.
     * @see org.w3c.dom.Text
     */
    public void setTextTime(String text);

}
