/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Original Code is DigitalSesame
 * Portions created by DigitalSesame are Copyright (C) 1997-2000 DigitalSesame
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: VoiceXMLSubmitElementImpl.java,v 1.1.1.1 2003-03-10 16:36:08 taweili Exp $
 */

package org.enhydra.wireless.voicexml.dom.xerces;

public class VoiceXMLSubmitElementImpl extends VoiceXMLElementImpl implements org.enhydra.wireless.voicexml.dom.VoiceXMLSubmitElement {

    public VoiceXMLSubmitElementImpl(VoiceXMLDocumentImpl owner, String namespaceURI, String qualifiedName) {
	super(owner, namespaceURI, qualifiedName);
    }

      public void setNamelist(java.lang.String newValue) {
    setAttribute("namelist", newValue);
  }

  public String getNamelist() {
    return getAttribute("namelist");
  }

  public void setMethod(java.lang.String newValue) {
    setAttribute("method", newValue);
  }

  public String getMethod() {
    return getAttribute("method");
  }

  public void setFetchtimeout(java.lang.String newValue) {
    setAttribute("fetchtimeout", newValue);
  }

  public String getFetchtimeout() {
    return getAttribute("fetchtimeout");
  }

  public void setNext(java.lang.String newValue) {
    setAttribute("next", newValue);
  }

  public String getNext() {
    return getAttribute("next");
  }

  public void setFetchhint(java.lang.String newValue) {
    setAttribute("fetchhint", newValue);
  }

  public String getFetchhint() {
    return getAttribute("fetchhint");
  }

  public void setEnctype(java.lang.String newValue) {
    setAttribute("enctype", newValue);
  }

  public String getEnctype() {
    return getAttribute("enctype");
  }

  public void setExpr(java.lang.String newValue) {
    setAttribute("expr", newValue);
  }

  public String getExpr() {
    return getAttribute("expr");
  }

  public void setCaching(java.lang.String newValue) {
    setAttribute("caching", newValue);
  }

  public String getCaching() {
    return getAttribute("caching");
  }

  public void setFetchaudio(java.lang.String newValue) {
    setAttribute("fetchaudio", newValue);
  }

  public String getFetchaudio() {
    return getAttribute("fetchaudio");
  }

;
}


